POST
/api/v1/container_registry/replication/executions/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/replication/executions/?cr_project_id=<CR_PROJECT_ID>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "policy_id": 11}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/container_registry/replication/executions/", params={"cr_project_id": "<CR_PROJECT_ID>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "policy_id": 11, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/container_registry/replication/executions/");url.search = new URLSearchParams({ cr_project_id: "<CR_PROJECT_ID>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "policy_id": 11 }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cr_project_id
required
integer
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Body
Section titled “Request Body”Media typeapplication/json
object
policy_id
integer
Example
11Responses
Section titled “Responses”Replication policy execution created successfully.
Media typeapplication/json
object
code
integer
data
object
end_time
string format: date-time
failed
integer
id
integer
in_progress
integer
policy_id
integer
start_time
string format: date-time
status
string
status_text
string
stopped
integer
succeed
integer
total
integer
trigger
string
errors
object
key
additional properties
message
string
Example
{ "code": 200, "data": { "end_time": "0001-01-01T00:00:00.000Z", "failed": 0, "id": 12345, "in_progress": 0, "policy_id": 35, "start_time": "2025-04-29T10:59:47.422Z", "status": "InProgress", "status_text": "", "stopped": 0, "succeed": 0, "total": 0, "trigger": "manual" }, "errors": {}, "message": "Policy Execution Created Successfully"}